#!/bin/sh

. /var/http/web-functions
. /etc/coyote/coyote.conf

cl_header2 "Edit Coyote Configuration File"

if ! [ "$FORM_OKBTN" = "Save" ]; then

#----------------------------------------------HTML---------------------------------------------------
if [ "$INETTYPE" = "ETHERNET_DHCP" ]; then
	CHK1=checked
	CHK2=
else
	CHK1=
	CHK2=checked
fi

cat << CLEOF

<form method="POST" action="/cgi-bin/inetconf.cgi">

<table border="0" width="100%">
  <tr>
    <td width="100%" colspan=2 bgcolor="#000080">
      <p align="center"><font color="#FFFFFF"><b>Internet Address Configuration</b></font></p>
    </td>
  </tr>
  <tr>
    <td width="50%" bgcolor="#C0C0C0"><input type="radio" value="DHCP" ${CHK1} name="LANCFG">DHCP
      Configuration</td>
    <td width="50%" bgcolor="#C0C0C0"><input type="radio" name="LANCFG" ${CHK2} value="STATIC">Static
      IP Configuration</td>
  </tr>
  <tr>
    <td width="50%" valign="top">Some areas require that you supply a hostname
      in order to obtain an IP address. If you have been supplied with a hostname for
      your computer, enter it here:<br><br>
      <center><input type="text" name="DHCPHOSTNAME" value="${DHCPHOSTNAME}" size="20"></center>
    </td>
    <td width="50%">
      <table border="0" width="100%" height="172">
        <tr>
          <td width="50%" height="19">IP Address</td>
          <td width="50%" height="19"><input type="text" name="IPADDR" value="${IPADDR}" size="20"></td>
        </tr>
        <tr>
          <td width="50%" height="19">Netmask</td>
          <td width="50%" height="19"><input type="text" name="NETMASK" value="${NETMASK}" size="20"></td>
        </tr>
        <tr>
          <td width="50%" height="19">Default Gateway</td>
          <td width="50%" height="19"><input type="text" name="GATEWAY" value="${GATEWAY}" size="20"></td>
        </tr>
        <tr>
          <td width="50%" height="16"></td>
          <td width="50%" height="16"></td>
        </tr>
        <tr>
          <td width="50%" height="19">DNS Server</td>
          <td width="50%" height="19"><input type="text" name="DNS1" value="${DNS1}" size="20"></td>
        </tr>
        <tr>
          <td width="50%" height="19">DNS Server</td>
          <td width="50%" height="19"><input type="text" name="DNS2" value="${DNS2}" size="20"></td>
        </tr>
        <tr>
          <td width="50%" height="19">DNS Server</td>
          <td width="50%" height="19"><input type="text" name="DNS3" value="${DNS3}" size="20"></td>
        </tr>
        <tr>
          <td width="50%" height="19">Domain Name</td>
          <td width="50%" height="19"><input type="text" name="DOMAINNAME" value="${DOMAINNAME}" size="20"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<p align="center"><input type="submit" value="Save" name="OKBTN"><input type="reset" value="Reset" name="B2"></p>

</form>

CLEOF

#-------------------------------------- END HTML -----------------------------------------------

# Process Form Submission

else
	if [ "$FORM_LANCFG" = "DHCP" ]; then
		INETTYPE=ETHERNET_DHCP
		DHCPHOSTNAME=$FORM_DHCPHOSTNAME
		IPADDR=
		NETMASK=
		DNS1=
		DNS2=
		DNS3=
		GATEWAY=
		DOMAINNAME=
	else
		INETTYPE=ETHERNET_STATIC
		DHCPHOSTNAME=$FORM_DHCPHOSTNAME
		IPADDR=$FORM_IPADDR
		NETMASK=$FORM_NETMASK
		DNS1=$FORM_DNS1
		DNS2=$FORM_DNS2
		DNS3=$FORM_DNS3
		GATEWAY=$FORM_GATEWAY
		DOMAINNAME=$FORM_DOMAINNAME
	fi
	cl_rebuildconf
	echo "<center><b>Your changes have been written to the Coyote Linux configuration file. You need to backup your config and reboot for the changes to take affect</b></center>"

fi

cl_footer2
