#!/bin/sh

. /var/http/web-functions
. /etc/coyote/coyote.conf

cl_header2 "LAN Configuration"

if [ "$FORM_OKBTN" = "Submit" ]; then

	if [ -z "$FORM_IPADDR" ] || [ -z "$FORM_NETMASK" ]; then
		echo "<center><b>You must specify an IP address and Netmask.</b></center>"
		cl_footer2
		exit	
	fi
	LOCAL_IPADDR=$FORM_IPADDR
	LOCAL_NETMASK=$FORM_NETMASK
	cl_rebuildconf
	echo "<center><b>Coyote Linux LAN configuration has been updated. You need to backup your configuration and reboot for it to take affect.</b></center>"	
else

cat << CLEOF

<center>
<form method="POST" action="/cgi-bin/lanconf.cgi">
  <table border="0" width="100%">
    <tr>
      <td width="100%" colspan=2 bgcolor="#000080">
        <p align="center"><font color="#FFFFFF"><b>LAN Configuration</b></font></p>
      </td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>IP Address</b></td>
      <td width="50%"><input type="text" name="IPADDR" size="20" value="${LOCAL_IPADDR}"></td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>Netmask</b></td>
      <td width="50%"><input type="text" name="NETMASK" size="20" value="${LOCAL_NETMASK}"></td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>Network</b></td>
      <td width="50%"><input type="text" name="NETWORK" size="20" value="${LOCAL_NETWORK}"></td>
    </tr>
    <tr>
      <td width="50%" bgcolor="#C0C0C0" align="right"><b>Broadcast</b></td>
      <td width="50%"><input type="text" name="BROADCAST" size="20" value="${LOCAL_BROADCAST}"></td>
    </tr>
  </table>
  <p align="center"><input type="submit" value="Submit" name="OKBTN"><input type="reset" value="Reset" name="B2"></p>
</form>
</center>

CLEOF

fi

cl_footer2
