#!/bin/sh

. /var/http/web-functions

cl_header2 "Remote Access Configuration"

case $FORM_OkBtn in
	Disable*)
		RLPID=`/sbin/pidof rlaunch`
                rm -f /etc/remote.allow
                [ "$RLPID" = "" ] || kill $RLPID 1> /dev/null 2> /dev/null
                echo "<center><b>Telnet access disabled.</b></center>"
	;;
	Enable*)
		RLPID=`/sbin/pidof rlaunch`
                > /etc/remote.allow
                [ "$RLPID" = "" ] && /usr/sbin/rlaunch 1> /dev/null 2> /dev/null
                echo "<center><b>Telnet access enabled.</b></center>"
	;;
	*)
		if [ -r /etc/remote.allow ]; then
cat << CLEOF
<form method="POST" action="/cgi-bin/telnetconf.cgi">
  <p align="center">Telnet Access is currently <b>enabled.</b></p>
  <p align="center"><input type="submit" value="Disable Telnet Access" name="OkBtn"></p>
</form>
CLEOF
		else
			ROOTPASS=`grep root: /etc/shadow | cut -f 2 -d :`
                        if [ -z "$ROOTPASS" ]; then
cat << CLEOF
<p align="center"><b>You have not yet specified a system password. Telnet access can not be 
enabled until you perform this task.</b></p>
CLEOF

                   	else

cat << CLEOF
<form method="POST" action="/cgi-bin/telnetconf.cgi">
  <p align="center">Telnet Access is currently <b>disabled.</b></p>
  <p align="center"><input type="submit" value="Enable Remote Access" name="OkBtn"></p>
</form>
CLEOF
			fi
		fi

	;;
esac

cl_footer2
