#!/bin/bash
dest="$1"
if [ "$dest" != "fpu" -a "$dest" != "nofpu" ]
  then
  echo 'you must specify "fpu" or "nofpu"'
  exit 1
  fi

set -e
cp -v buildroot/devel/binout/kernel/System.map data/kernel-$dest/
cp -v buildroot/devel/binout/kernel/linux      data/kernel-$dest/floppy/
rm -rf data/kernel-$dest/drivers
mkdir data/kernel-$dest/drivers
cp -v `find buildroot/devel/binout/modules -name '*.o'` data/kernel-$dest/drivers/

cp -v buildroot/devel/ppp-2.4.2b3/pppd/pppd  pkgsrc/root/usr/sbin/
cp -v buildroot/devel/ppp-2.4.2b3/chat/chat  pkgsrc/root/usr/sbin/
