#!/bin/sh

. /var/http/web-functions
. /etc/coyote/coyote.conf

cl_header2 "Auto-Port Forward Configuration"

if [ "$FORM_OKBTN" = "Submit" ]; then

        if [ "$FORM_RELOAD" = "Y" ] && [ "$FORM_METHOD" = "A" ] && [ "$FORM_ACTIVE" = "Y" ] && [ "$FORM_PROTO" = "tcp" ] && [ -z "$FORM_START_PORT" ] && [ -z "$FORM_END_PORT" ] && [ -z "$FORM_DEST_IP" ] && [ -z "$FORM_DNS" ]; then
		echo "<br><center><b>"
		/etc/rc.d/rc.firewall
		echo "</b></center>"
		cl_footer2
		exit
	fi
        if [ "$FORM_METHOD" = "A" ]; then
	        if [ -z "$FORM_START_PORT" ] || [ -z "$FORM_DEST_IP" ]; then
		        echo "<center><b>For Auto Forward specify at least a Destination IP Address and Starting Port.</b></center>"
		        cl_footer2
		        exit	
	        fi
	        if [ ! -z "$FORM_END_PORT" ] && [ "$FORM_START_PORT" -gt "$FORM_END_PORT" ]; then
                        echo "<center><b>Port Range: Starting Port must be less than Ending Port.</b></center>"          
                        cl_footer2                                                                                                            
                        exit
	        fi
	        [ ! -z "$FORM_END_PORT" ] && FORM_START_PORT="${FORM_START_PORT}:${FORM_END_PORT}"
	        echo "auto $FORM_ACTIVE $FORM_PROTO $FORM_START_PORT $FORM_DEST_IP $FORM_DNS" >> /etc/coyote/portforwards
	fi
        if [ "$FORM_METHOD" = "P" ]; then
	        if [ -z "$FORM_DEST_IP" ]; then
		        echo "<center><b>For Port Forward specify at least a Destination IP Address.</b></center>"
		        cl_footer2
		        exit	
	        fi
                if [ "$FORM_DNS" = "dns" ] && [ "$FORM_PROTO" = "" -o "$FORM_START_PORT" = "" -o "$FORM_END_PORT" = "" ]; then                                                                                               
                        echo "<center><b>For dns option you must specify a Protocol, Internet Port and Destination Port.</b></center>" 
                        echo "<center><b>Rule was added without dns option!</b></center>"                            
                        FORM_DNS=""
                fi
	        echo "port $FORM_ACTIVE $FORM_DEST_IP $FORM_INET_IP $FORM_PROTO $FORM_START_PORT $FORM_END_PORT $FORM_DNS" >> /etc/coyote/portforwards
        fi
	echo "<center><b>Coyote Linux configuration has been updated. You need to backup your configuration to save changes.</b></center>"
        if [ "$FORM_RELOAD" = "Y" ]; then
                echo "<br><center><b>"
                /etc/rc.d/rc.firewall
                echo "</b></center>"
        fi
else

cat << CLEOF

<center>
<form method="POST" action="/cgi-bin/portfw.cgi">
  <table border="0" width="100%">
    <tr>
      <td width="100%" colspan=2 bgcolor="#000080">
        <p align="center"><font color="#FFFFFF"><b>Auto-Port Forward Configuration</b></font></p>
      </td>
    </tr>
    <tr>                                                                                                                                      
      <td align="right" bgcolor="#C0C0C0"><b>Forwarding Method</b></td>
      <td><input type="radio" value="A" checked name="METHOD">Auto <input type="radio" name="METHOD" value="P">Port</td>
    </tr>
    <tr>
      <td align="right" bgcolor="#C0C0C0"><b>Activate</b></td>                                                                          
      <td><input type="radio" value="N" name="ACTIVE">No &nbsp;&nbsp<input type="radio" checked name="ACTIVE" value="Y">Yes</td>                      
    </tr>
    <tr>
      <td align="right" bgcolor="#C0C0C0"><b>Protocol</b></td>
      <td><input type="radio" value="tcp" checked name="PROTO">TCP <input type="radio" name="PROTO" value="udp">UDP</td>
    </tr>
    <tr>                                                                                                                                      
      <td align="right" bgcolor="#C0C0C0"><b>Destination IP Address</b></td>                                                                  
      <td><input type="text" name="DEST_IP" size="16"></td>                                                                                   
    </tr>
    <tr>
      <td align="right" bgcolor="#C0C0C0"><b>Starting </b>Auto <b>or Internet </b>(optional Port) <b>Number</b></td>
      <td><input type="text" name="START_PORT" size="5"></td>
    </tr>
    <tr>
      <td align="right" bgcolor="#C0C0C0"><b>Ending </b>(optional Auto) <b>or Destination </b>(optional Port) <b>Number</b></td>
      <td><input type="text" name="END_PORT" size="5"></td>
    </tr>
    <tr>                                                                                                                                      
      <td align="right" bgcolor="#C0C0C0"><b>Internet </b>(optional Port) <b>IP Address</b></td>                                              
      <td><input type="text" name="INET_IP" size="16"></td>                                                                                   
    </tr>
    <tr>                                                                                                                                      
      <td align="right" bgcolor="#C0C0C0"><b>Enable LAN to use Internet IP for services behind NAT</b></td>                                        
      <td><input type="radio" value="" checked name="DNS">No <input type="radio" name="DNS" value="dns">Yes</td>                              
    </tr>
    <tr>                                                                                                                                      
      <td align="right" bgcolor="#C0C0C0"><b>Reload </b>(Activate) <b>Firewall</b></td>                                   
      <td><input type="radio" value="" checked name="RELOAD">No <input type="radio" name="RELOAD" value="Y">Yes</td>                              
    </tr>
  </table>
  <p align="center"><a href="/cgi-bin/editport.cgi"><b>Edit Advance Portforward Configuration</b></a>
     &nbsp &nbsp &nbsp <a href="/cgi-bin/firewall.cgi"><b>Edit Advance Firewall Configuration</b></a></p>
  <p align="center"><input type="submit" value="Submit" name="OKBTN"><input type="reset" value="Reset" name="B2"></p>
</form>
</center>

CLEOF

fi

cl_footer2
